Foxit PDF RDK

Public Member Functions | Static Public Member Functions | List of all members
TextObject Class Reference
Inheritance diagram for TextObject:

## Public Member Functions
| GetCharCount ()
| Get character count in current text object. More...
| GetCharHeightByIndex (index)
| Get the height of a character specified by index in current text object. More...
| GetCharPos (index)
| Get the position of a character specified by index in current text object. More...
| GetCharWidthByIndex (index)
| Get the width of a character specified by index in current text object. More...
| GetText ()
| Get text string. More...
| GetTextState (page)
| Get text state information. More...
| SetText (text)
| Set text string. More...
| SetText (text)
| Set text string. More...
| SetTextState (page, text_state, is_italic, weight)
| Set text state information. More...
Public Member Functions inherited from GraphicsObject
| AddClipPath (path, fill_mode)
| Add a path for clipping. More...
| AddClipTextObject (textobject)
| Add text object for clipping. More...
| ClearClips ()
| Clear all clips. More...
| Clone ()
| Clone a new graphics object. More...
| Clone (src_graphicsobjects, dest_graphicsobjects)
| Clone a new graphics object. More...
| GetBlendMode ()
| Get the blend mode for transparent imaging model. More...
| GetClipPath (index)
| Get a path clip by index. More...
| GetClipPathCount ()
| Get the count of path clip. More...
| GetClipPathFillMode (index)
| Get the fill mode of a path clip by index. More...
| GetClipRect ()
| Get clip rectangle. More...
| GetClipTextObject (index)
| Get the text object of a text clip by index. More...
| GetClipTextObjectCount ()
| Get the count of text clip. More...
| GetColorState ()
| Get color state. More...
| GetFillColor ()
| Get the fill color. More...
| GetFillOpacity ()
| Get the opacity value for painting operations other than stroking. More...
| GetFormXObject ()
| Get the form XObject graphics object if current graphics object represents a form XObject object. More...
| GetGraphState ()
| Get graph state. More...
| GetImageObject ()
| Get the image graphics object if current graphics object represents an image object. More...
| GetLayers (layer_tree)
| Get all the layers which are associated with current graphics object. More...
| GetMarkedContent ()
| Get marked content object. More...
| GetMatrix ()
| Get matrix. More...
| GetPathObject ()
| Get the path graphics object if current graphics object represents a path object. More...
| GetRect ()
| Get the rectangle of current graphics object. More...
| GetShadingObject ()
| Get the shading graphics object if current graphics object represents a shading object. More...
| GetStrokeColor ()
| Get the stroke color. More...
| GetStrokeOpacity ()
| Get opacity value for stroke painting operations for paths and glyph outlines. More...
| GetTextObject ()
| Get the text graphics object if current graphics object represents a text object. More...
| GetType ()
| Get the type of current graphics object. More...
| HasTransparency ()
| Check whether current graphics object has transparency or not. More...
| Release ()
| Release a cloned or newly created PDF graphics object which has not been inserted into any PDF page or other object. More...
| RemoveClipPath (index)
| Remove a path clip by index. More...
| RemoveClipTextObject (index)
| Remove a text clip by index for clipping. More...
| Rotate (angle)
| Rotate current graphics object from current state with specified angle degree in clockwise. More...
| SetBlendMode (blend_mode)
| Set the blend mode for transparent imaging model. More...
| SetClipRect (clip_rect)
| Set clip rectangle. More...
| SetColorState (color_state)
| Set color state. More...
| SetFillColor (color)
| Set the fill color. More...
| SetFillOpacity (opacity)
| Set the opacity value for painting operations other than stroking. More...
| SetGraphState (graph_state)
| Set graph state. More...
| SetMatrix (matrix)
| Set matrix. More...
| SetStrokeColor (color)
| Set the stroke color. More...
| SetStrokeOpacity (opacity)
| Set opacity value for stroke painting operations for paths and glyph outlines. More...
| Transform (matrix, need_transform_clippath)
| Transform current graphics object. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Member Functions
static | Create ()
| Create a new text graphics object. More...

## Additional Inherited Members
Static Public Attributes inherited from GraphicsObject
static | e_BlendColor
| Creates a color with the hue and saturation of the source color, and the luminosity of the backdrop color. More...
static | e_BlendColorBurn
| Darkens backdrop color to reflect the source color. More...
static | e_BlendColorDodge
| Brightens backdrop color to reflect source colors. More...
static | e_BlendDarken
| Select darker one of backdrop and source colors. More...
static | e_BlendDifference
| Subtracts the darker of the two constituent colors from lighter colors. More...
static | e_BlendExclusion
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
static | e_BlendHardlight
| Multiply or screens colors, depending on source color value. More...
static | e_BlendHue
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
static | e_BlendLighten
| Select lighter one of backdrop and source colors. More...
static | e_BlendLuminosity
| Creates a color with the luminosity of the source color, and the hue and saturation of the backdrop color. More...
static | e_BlendMultiply
| Multiply backdrop by source color values. More...
static | e_BlendNormal
| Enumeration for render blend mode. More...
static | e_BlendOverlay
| Multiply or screens colors, depending on backdrop color value. More...
static | e_BlendSaturation
| Creates a color with the saturation of the source color, and the hue and luminosity of the backdrop color. More...
static | e_BlendScreen
| Multiply complements of backdrop by source color values, and then complement the result. More...
static | e_BlendSoftlight
| Darkens or lightens colors, depending on source color value. More...
static | e_TypeAll
| Enumeration for PDF graphics object type. More...
static | e_TypeFormXObject
| Form XObject graphics object.
static | e_TypeImage
| Image graphics object.
static | e_TypePath
| Path graphics object.
static | e_TypeShading
| Shading graphics object.
static | e_TypeText
| Text graphics object.

## Detailed Description

Text graphics object is a kind of PDF graphics object, so class TextObject is derived from class GraphicsObject. It offers functions to get/set text graphics object's data.
To create a new text graphics object, please use function TextObject.Create and then use setting functions to set information to the new text graphics object.

See also
  GraphicsObject

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ Create()

static TextObject.Create | ( |  | ) |
| static

Create a new text graphics object.

The newly created text graphics object does not have any data yet. Then, setting functions can be called to set data to the new text graphics object. If the newly created text graphics object will not inserted to any page or other objects, please remember to call function GraphicsObject.Release to release it when no use.

Returns
  A new text graphics object. If there is any error, this function will return null.

## ◆ GetCharCount()

TextObject.GetCharCount | ( |  | ) |

Get character count in current text object.

Returns
  Character count.

## ◆ GetCharHeightByIndex()

TextObject.GetCharHeightByIndex | ( | index |  | ) |

Get the height of a character specified by index in current text object.

Parameters

  [in] | index | The index of character whose position is to be retrieved. Valid range: from 0 to (count-1). count is returned by function TextObject.GetCharCount.

Returns
  Height of the specified character.

## ◆ GetCharPos()

TextObject.GetCharPos | ( | index |  | ) |

Get the position of a character specified by index in current text object.

Parameters

  [in] | index | The index of character whose position is to be retrieved. Valid range: from 0 to (count-1). count is returned by function TextObject.GetCharCount.

Returns
  Position of the specified character, in PDF coordinate system.

## ◆ GetCharWidthByIndex()

TextObject.GetCharWidthByIndex | ( | index |  | ) |

Get the width of a character specified by index in current text object.

Parameters

  [in] | index | The index of character whose position is to be retrieved. Valid range: from 0 to (count-1). count is returned by function TextObject.GetCharCount.

Returns
  Width of the specified character.

## ◆ GetText()

TextObject.GetText | ( |  | ) |

Get text string.

Returns
  Text string.

## ◆ GetTextState()

TextObject.GetTextState | ( | page |  | ) |

Get text state information.

Parameters

  [in] | page | A valid PDF page.Please ensure that current graphics object just belongs to this page.

Returns
  Text state information.

## ◆ SetText() [1/2]

TextObject.SetText | ( | text |  | ) |

Set text string.

Parameters

  [in] | text | New text string.

Returns
  None.

Note
  Before setting text, please ensure that current text graphics object has valid font which is a part of text state. If not, please call function TextObject.SetTextState to set valid font first; otherwise setting text will fail.
  When this function succeeds, function GraphicsObjects.GenerateContent should be called. Please refer to function GraphicsObjects.GenerateContent for more details.

## ◆ SetText() [2/2]

TextObject.SetText | ( | text |  | ) |

Set text string.

Parameters

  [in] | text | New text string.

Returns
  None.

Note
  Before setting text, please ensure that current text graphics object has valid font which is a part of text state. If not, please call function TextObject.SetTextState to set valid font first; otherwise setting text will fail.
  When this function succeeds, function GraphicsObjects.GenerateContent should be called. Please refer to function GraphicsObjects.GenerateContent for more details.

## ◆ SetTextState()

TextObject.SetTextState | ( | page | ,
|  | text_state | ,
|  | is_italic | ,
|  | weight |
| ) |  |

Set text state information.

Parameters

  [in] | page | A valid PDF page.Please ensure that current graphics object just belongs to this page.
  [in] | text_state | New text state information.
  [in] | is_italic | true means the text of current graphics object is italic, while false means not.
  [in] | weight | Original font weight. If the value is larger than 500, that means to use bold.

Returns
  None.

Note
  When this function succeeds, function GraphicsObjects.GenerateContent should be called. Please refer to function GraphicsObjects.GenerateContent for more details.